Package twisted :: Package manhole :: Package ui :: Module gtk2manhole

[show private | hide private]
[frames | no frames]

## Module twisted.manhole.ui.gtk2manhole

Manhole client with a GTK v2.x front-end.

Classes
`ConsoleInput` |
`ConsoleOutput` |
`ManholeClient` |
`ManholeWindow` |

Exceptions
`OfflineError` |

Variable Summary
`str` | `__version__`
`FakeModule` | `gtk`
`MetaInterface` | `IManholeClient`
`SelectReactor` | `reactor`
`tuple` | `StringTypes`
`dict` | `tagdefs`

Variable Details

### __version__

  Type:
    `str`
  Value:

        '1.6'

### gtk

  Type:
    `FakeModule`
  Value:

        <Fake gtk>

### IManholeClient

  Type:
    `MetaInterface`
  Value:

        <class 'twisted.manhole.service.IManholeClient'>

### reactor

  Type:
    `SelectReactor`
  Value:

        <twisted.internet.default.SelectReactor instance at 0x82e8c8c>

### StringTypes

  Type:
    `tuple`
  Value:

        (<type 'str'>, <type 'unicode'>)

### tagdefs

  Type:
    `dict`
  Value:

        {'command': {'foreground': '#666666'},
         'default': {'family': 'monospace'},
         'exception': {'foreground': 'red'},
         'local': {'foreground': '#008000'},
         'log': {'foreground': '#000080'},
         'result': {'foreground': 'blue'},
         'stderr': {'foreground': '#AA8000'},
         'stdout': {'foreground': 'black'}}

Generated by Epydoc 1.1 on Thu May 8 13:16:33 2003 | http://epydoc.sf.net